srecord: srecord::input_filter_message_adler32 Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::input_filter_message_adler32 Class Reference

The srecord::input_filter_message_adler32 class is used to represent the state of a checksum filter that inserts an Adler 32 checksum into the data. More...

`#include <adler32.h>`

Inheritance diagram for srecord::input_filter_message_adler32:
[legend]
Collaboration diagram for srecord::input_filter_message_adler32:
[legend]

## Public Member Functions
virtual | ~input_filter_message_adler32 ()
| The destructor.
Public Member Functions inherited from srecord::input_filter_message
virtual | ~input_filter_message ()
| The destructor.
Public Member Functions inherited from srecord::input_filter
virtual | ~input_filter ()
| The destructor.
std::string | filename () const
| The filename method is used to get the name of the input file being processed.
std::string | filename_and_line () const
| The filename_and_line method is used to get the name and current line number within the file.
const char * | get_file_format_name () const
| The get_file_format_name method is used to find out the name of the file format being read.
void | disable_checksum_validation ()
| The disable_checksum_validation method is used to have this input stream ignore checksum errors.
Public Member Functions inherited from srecord::input
virtual | ~input ()
| The destructor.
virtual void | fatal_error (const char *,...) const FORMAT_PRINTF(2
| The fatal_error method is used to report problems parsing the file.
virtual void virtual void | fatal_error_errno (const char *,...) const FORMAT_PRINTF(2
| The fatal_error_errno method is used to report problems reading the input file.
virtual void virtual void virtual void | warning (const char *,...) const FORMAT_PRINTF(2
| The warning method is used to report potential (but non-fatal) problems parsing the file.
void | set_quit (quit &)
| The set_quit method is used to set the disposition of the error messages, and the "exit" implementation.
void | reset_quit (void)
| The reset_quit method is used to cause the disposition of the error messages, and the "exit" back to the default.
virtual void | command_line (srecord::arglex_tool *cmdln)
| The command_line method is used by arglex_srec::get_input when parsing the command line, to give a format or filter an opportunity to grab extra arguments off the command line.

## Static Public Member Functions
static pointer | create (const input::pointer &deeper, unsigned long address, endian_t end)
| The create class method is used to create new dynamically allocated instances of this class.

## Protected Member Functions
void | process (const memory &input, record &output)
| The process method is used to process the data from the input.
const char * | get_algorithm_name () const
| The get_algorithm_name method is used in error messages.
Protected Member Functions inherited from srecord::input_filter_message
| input_filter_message (const input::pointer &deeper, bool naked=false)
| The constructor.
bool | read (record &record)
| The read method is used to read one record from the input.
virtual unsigned | get_minimum_alignment (void) const
| The get_minimum_alignment method is used to obtain the minium require dbyte alignment.
Protected Member Functions inherited from srecord::input_filter
| input_filter (input::pointer deeper)
| The constructor.
Protected Member Functions inherited from srecord::input
| input ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::input
typedef std::shared_ptr< input > | pointer
Protected Attributes inherited from srecord::input_filter
pointer | ifp

## Detailed Description

The srecord::input_filter_message_adler32 class is used to represent the state of a checksum filter that inserts an Adler 32 checksum into the data.

Definition at line 34 of file adler32.h.

## Constructor & Destructor Documentation

## ◆ ~input_filter_message_adler32()

virtual srecord::input_filter_message_adler32::~input_filter_message_adler32 | ( |  | ) |
| virtual

The destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::input_filter_message_adler32::create | ( | const input::pointer & | deeper,
|  | unsigned long | address,
|  | endian_t | end )
| static

The create class method is used to create new dynamically allocated instances of this class.

Parameters

  deeper | The incoming data source to be filtered
  address | where to put the checksum
  end | The byte order.

## ◆ process()

void srecord::input_filter_message_adler32::process | ( | const memory & | input,
|  | record & | output )
| protectedvirtual

The process method is used to process the data from the input.

Parameters

  input | The memory representation to be processed.
  output | The filter's output.

Implements srecord::input_filter_message.

## ◆ get_algorithm_name()

const char * srecord::input_filter_message_adler32::get_algorithm_name | ( |  | ) | const
| protectedvirtual

The get_algorithm_name method is used in error messages.

Implements srecord::input_filter_message.

The documentation for this class was generated from the following file:

- input/filter/message/adler32.h